Bug 1445282 - [3.3] Installer fails to add/check iptables rule due to lock on xtables
Summary: [3.3] Installer fails to add/check iptables rule due to lock on xtables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 3.3.1
Assignee: Scott Dodson
QA Contact: Wenkai Shi
URL:
Whiteboard:
Depends On: 1445194
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 12:23 UTC by Scott Dodson
Modified: 2017-05-17 17:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously the installer may have failed to add iptables rules if other iptables rules were being updated at the same time. Now the installer waits to obtain a lock when updating iptables rules ensuring that rules are properly created.
Clone Of: 1445194
Environment:
Last Closed: 2017-05-17 17:40:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC

Comment 3 Wenkai Shi 2017-05-02 06:05:52 UTC
Verified with version openshift-ansible-3.3.73-1.git.0.a4580db.el7.noarch. During installation, run a while loop of iptables command on hosts, installer will be slow down at "TASK [os_firewall : Add iptables allow rules]" step, once stop the while loop, installer continue with normal speed.

[root@master ~]# while true; do iptables -nL; done
...

[root@ansible ~]# ansible-playbook -i hosts -v /usr/share/ansible/openshift-ansible/playbooks/byo/config.yml
...
TASK [os_firewall : Add iptables allow rules] **********************************
...
(slow down here during the "while loop" alive)
...

Comment 5 errata-xmlrpc 2017-05-17 17:40:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1244


Note You need to log in before you can comment on or make changes to this bug.